package com.ssj.service.sys.xb.service.impl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.transaction.annotation.Transactional;

import com.alibaba.dubbo.config.annotation.Service;
import com.ssj.bean.sys.xb.domain.XbFeedback;
import com.ssj.dao.sys.xb.dao.IXbFeedbackDao;
import com.ssj.framework.core.common.service.BaseServiceImpl;
import com.ssj.service.sys.xb.service.IXbFeedBackService;

@Service(version ="1.0")
@Transactional
public class XbFeedbackServiceImpl extends BaseServiceImpl<XbFeedback, String> implements IXbFeedBackService {

	@Autowired
	private IXbFeedbackDao dao;
	
	@Override
	public PagingAndSortingRepository<XbFeedback, String> getDao() {
		
		return dao;
	}

	@Override
	public XbFeedback findByCourseIdAndCourseName(String courseId, String courseName) {
		
		return dao.findByCourseIdAndCourseName(courseId,courseName);
	}

	@Override
	public XbFeedback findLastCourseInfo(String courseId, int feedbackIndex, String courseName) {
		
		return dao.findLastCourseInfo(courseId,feedbackIndex,courseName);
	}

}
